aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2017-02-19 17:26:47 +0000
committerJustin Lecher <jlec@gentoo.org>2017-02-19 17:53:02 +0000
commit3a616c38597b67f86d19492b3fc1e6c3f7a4ce21 (patch)
tree41e6e7abec78a937b3657d90fd4d4bff60e8d972 /dev-cpp/icnc
parentMerge branch 'master' of git+ssh://git.gentoo.org/proj/sci (diff)
downloadsci-3a616c38597b67f86d19492b3fc1e6c3f7a4ce21.tar.gz
sci-3a616c38597b67f86d19492b3fc1e6c3f7a4ce21.tar.bz2
sci-3a616c38597b67f86d19492b3fc1e6c3f7a4ce21.zip
dev-cpp/icnc: Bump to EAPI=6
Package-Manager: Portage-2.3.3, Repoman-2.3.1 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'dev-cpp/icnc')
-rw-r--r--dev-cpp/icnc/icnc-9999.ebuild23
1 files changed, 9 insertions, 14 deletions
diff --git a/dev-cpp/icnc/icnc-9999.ebuild b/dev-cpp/icnc/icnc-9999.ebuild
index 44e96e63f..fbfe4e27e 100644
--- a/dev-cpp/icnc/icnc-9999.ebuild
+++ b/dev-cpp/icnc/icnc-9999.ebuild
@@ -1,27 +1,20 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
PYTHON_COMPAT=( python2_7 )
-inherit cmake-utils multilib python-any-r1
+inherit cmake-utils git-r3 multilib python-any-r1
DESCRIPTION="Intel Concurrent Collections for C++ - Parallelism without the Pain"
HOMEPAGE="https://software.intel.com/en-us/articles/intel-concurrent-collections-for-cc"
-
-if [[ $PV = 9999 ]]; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/icnc/icnc.git"
- KEYWORDS=
-else
- SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64"
-fi
+EGIT_REPO_URI="https://github.com/icnc/icnc.git"
LICENSE="BSD"
SLOT="0"
+KEYWORDS=
IUSE="doc examples mpi test"
RDEPEND="
@@ -49,8 +42,10 @@ src_configure() {
src_install() {
cmake-utils_src_install
if use doc; then
- mv "${ED}"/usr/share/{icnc/doc/api,doc/${P}/html} || die
+ mv "${ED}"/usr/share/{icnc/doc/api,doc/${PF}/html} || die
rmdir "${ED}"/usr/share/icnc/doc || die
fi
- use examples || rm -r "${ED}"/usr/share/icnc/samples || die
+ if ! use examples; then
+ rm -r "${ED}"/usr/share/icnc/samples || die
+ fi
}